Cell
Method & Permission
| API | GET | POST | PUT | PATCH | DELETE |
|---|---|---|---|---|---|
| Cell List | Admin, Project Admin, Project Edit, Project View | Project Admin*, Project Edit* | - | - | - |
| Cell Detail | - | - | - | Project Admin*, Project Edit* | - |
*Cell can not be posted/modified if row.is_locked=True, unless the widget can be added at the read-only
*Cell can not be posted/modified if row.is_archived=True
GET Cell List
Endpoint: /tables/cell/list/{level}/{sid}/{serializer}/
Parameter: level (path, string)
organization
Parameter: sid (path, string)
organization sid
Parameter: serializer (path, string)
choose of [name, list, detail]
Parameter: token (header, string)
the authentication token
Parameter: row__sid (query, string)
Response: 200
# serializer = name
{
"page_size": 10,
"page_number": 1,
"page_count": 1,
"count": 1,
"next": null,
"previous": null,
"add_permission": true,
"results": [
{
"sid": "xxx",
"name": "date_start"
}
]
}
# serializer = list
{
"page_size": 10,
"page_number": 1,
"page_count": 1,
"count": 1,
"next": null,
"previous": null,
"add_permission": true,
"results": [
{
"sid": "xxx",
"widget": {
"sid": "xxx",
"name": "Date - Edit date value"
},
"row": {
"sid": "xxx",
"name": "EP625: Test Name 20200525133408"
},
"price": "$0.00",
"change_permission": true
}
]
}
# serializer = detail
{
"page_size": 10,
"page_number": 1,
"page_count": 1,
"count": 1,
"next": null,
"previous": null,
"add_permission": true,
"results": [
{
"sid": "xxx",
"data": "2020-05-25",
"row": {
"sid": "xxx",
"name": "EP625: Test Name 20200525133408"
},
"column": {
"sid": "xxx",
"name": "date_start"
},
"widget": {
"sid": "xxx",
"name": "Date - Edit date value"
},
"date_updated": "2020-05-25T20:34:39.293654Z",
"date_created": "2020-05-25T20:34:39.292882Z",
"change_permission": true
}
]
}
POST Cell List
Endpoint: /tables/cell/list/{level}/{sid}/{serializer}/
Create a new cell for a row.
Parameter: level (path, string)
level=organization
Parameter: sid (path, string)
sid=organization sid
Parameter: serializer (path, string)
choose of [name, list, detail]
Parameter: token (header, string)
the authentication token
Parameter: row__sid (query, string)
the sid of the row
Response: 201
{
"sid": "xxx",
"data": "2020-05-25",
"row": {
"sid": "xxx",
"name": "EP625: Test Name 20200525133408"
},
"column": {
"sid": "xxx",
"name": "date_start"
},
"widget": {
"sid": "xxx",
"name": "Date - Edit date value"
},
"date_updated": "2020-05-25T20:34:39.293654Z",
"date_created": "2020-05-25T20:34:39.292882Z",
"change_permission": true
}
Response: 406
Error: Missing row__sid in the post link.
Error: Your organization does not have enough credits, contact sales@labii.com!
Error: The row (xxx) does not belong to the organization (xxx)
PATCH Cell Detail
Endpoint: /tables/cell/detail/{sid}/
Update the content of a cell.
Parameter: sid (path, string)
cell sid
Parameter: token (header, string)
the authentication token
Response: 200
{
"sid": "xxx",
"data": "2020-05-25",
"row": {
"sid": "xxx",
"name": "EP625: Test Name 20200525133408"
},
"column": {
"sid": "xxx",
"name": "date_start"
},
"widget": {
"sid": "xxx",
"name": "Date - Edit date value"
},
"date_updated": "2020-05-25T20:34:39.293654Z",
"date_created": "2020-05-25T20:34:39.292882Z",
"change_permission": true
}
Response: 406
Wrong id - the provided sid is not correct
Your organization does not have enough credits, contact sales@labii.com!